package mx.gob.jumapacelaya.models;

import java.time.LocalDate;

public class PlanAnual {
    private int numero;
    private String nomEquipo;
    private String departamento;
    private boolean monitor;   // Cambiado a boolean
    private boolean teclado;   // Cambiado a boolean
    private boolean mouse;     // Cambiado a boolean
    private boolean regulador; // Cambiado a boolean
    private boolean cpu;       // Cambiado a boolean
    private boolean impresora; // Cambiado a boolean
    private boolean miniPrint; // Cambiado a boolean
    private boolean laptop;    // Cambiado a boolean
    private boolean escaner;   // Cambiado a boolean
    private LocalDate fechaProgramada;
    private LocalDate fechaMantenimiento;
    private String smt;
    private String estado;

    // Constructor
    public PlanAnual(int numero, String nomEquipo, String departamento, boolean monitor,
                     boolean teclado, boolean mouse, boolean regulador,
                     boolean cpu, boolean impresora, boolean miniPrint,
                     boolean laptop, boolean escaner, LocalDate fechaProgramada,
                     LocalDate fechaMantenimiento, String smt, String estado) {

        this.numero = numero;
        this.nomEquipo = nomEquipo;
        this.departamento = departamento;
        this.monitor = monitor;
        this.teclado = teclado;
        this.mouse = mouse;
        this.regulador = regulador;
        this.cpu = cpu;
        this.impresora = impresora;
        this.miniPrint = miniPrint;
        this.laptop = laptop;
        this.escaner = escaner;
        this.fechaProgramada = fechaProgramada;
        this.fechaMantenimiento = fechaMantenimiento;
        this.smt = smt;
        this.estado = estado;
    }

    // Getters
    public int getNumero() {
        return numero;
    }

    public String getNomEquipo() {
        return nomEquipo;
    }

    public String getDepartamento() {
        return departamento;
    }

    public boolean isMonitor() {
        return monitor;
    }

    public boolean isTeclado() {
        return teclado;
    }

    public boolean isMouse() {
        return mouse;
    }

    public boolean isRegulador() {
        return regulador;
    }

    public boolean isCpu() {
        return cpu;
    }

    public boolean isImpresora() {
        return impresora;
    }

    public boolean isMiniPrint() {
        return miniPrint;
    }

    public boolean isLaptop() {
        return laptop;
    }

    public boolean isEscaner() {
        return escaner;
    }


    public String getSmt() {
        return smt;
    }

    public String getEstado() {
        return estado;
    }

    public void setNumero(int numero) {
        this.numero = numero;
    }

    public LocalDate getFechaMantenimiento() {
        return fechaMantenimiento;
    }

    public void setFechaMantenimiento(LocalDate fechaMantenimiento) {
        this.fechaMantenimiento = fechaMantenimiento;
    }

    public LocalDate getFechaProgramada() {
        return fechaProgramada;
    }

    public void setFechaProgramada(LocalDate fechaProgramada) {
        this.fechaProgramada = fechaProgramada;
    }
}
